using System;
using System.IO;
using System.Threading.Tasks;

namespace Knoks.Framework.Document
{
    public interface IDocumentProcess
    {
        Task Save(Stream srcStream, string dstFileName, bool replace = false);
        Task<string> SaveIndexed(Stream srcStream, string dstFileName);
        FileStream LoadFileStream(string dstFileName);
        byte[] LoadFileBytes(string dstFileName);
        DateTimeOffset GetFileModified(string dstFileName);
    }
}
